<div id="dashboard-analytics" class="page-layout blank">
    <mat-tab-group *ngIf="displayBusinessTab" (selectedTabChange)="selectedBusniness($event)">
        <mat-tab *ngFor="let tab of subBusinessList;let index = index" [label]="tab.title">
        </mat-tab>
    </mat-tab-group>

    <div class="main-widget">

        <div class="position-relative p-24 blue-600" fxLayout="row" fxLayoutAlign="space-between center">
            <div fxLayout="column" fxLayoutAlign="start start">
                <!-- <span class="h2">Positive Symptoms in April</span> -->
                <span class="h2"> Daily Car Wash Count </span>
                <!-- <span class="h5 secondary-text">Members who reported symptoms of fever, cough, cold, sneezing</span> -->
            </div>
            <div fxLayout="row" fxLayoutAlign="start center">
                <div [formGroup]="dateForm" class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer week"
                    (click)="widget1SelectedWeek = 'Week1'" [ngClass]="{'blue-700': widget1SelectedWeek === 'Week1'}">
                    <mat-form-field appearance="fill">
                        <mat-label>Enter a date range</mat-label>
                        <input matInput formControlName="DateRange" [satDatepicker]="picker" (dateInput)="OnDateChange($event.value)"
                            [max]='todayDate'>
                        <sat-datepicker #picker [rangeMode]="true" [selectFirstDateOnClose]="true"></sat-datepicker>
                        <sat-datepicker-toggle matSuffix [for]="picker" style="color: white;"></sat-datepicker-toggle>
                        <!-- <input matInput [matDatepicker]="picker">
                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker> -->
                    </mat-form-field>
                </div>
                <!-- <div class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer week"
                    (click)="widget1SelectedWeek = 'Week1'" [ngClass]="{'blue-700': widget1SelectedWeek === 'Week1'}">
                    Last 7 days
                </div> -->
                <!-- <div class="py-8 px-12 border-radius-2 line-height-1 mr-8 cursor-pointer week"
                    (click)="widget1SelectedWeek = 'Week2'" [ngClass]="{'blue-700': widget1SelectedWeek === 'Week2'}">
                    Week2
                </div>
                <div class="py-8 px-12 border-radius-2 line-height-1 cursor-pointer week"
                    (click)="widget1SelectedWeek = 'Week3'" [ngClass]="{'blue-700': widget1SelectedWeek === 'Week3'}">
                    Week3
                </div>
                <div class="py-8 px-12 border-radius-2 line-height-1 cursor-pointer week"
                    (click)="widget1SelectedWeek = 'Week4'" [ngClass]="{'blue-700': widget1SelectedWeek === 'Week4'}">
                    Week4
                </div> -->
            </div>
        </div>

        <div class="position-relative h-256 pb-16 blue-600">
            <canvas baseChart [datasets]="widgets.widget1.datasets[widget1SelectedWeek]"
                [labels]="widgets.widget1.labels" [colors]="widgets.widget1.colors" [options]="widgets.widget1.options"
                (select)="selectedDate($event)" (chartClick)="chartClick($event,widgets.widget1.labels)"
                [chartType]="widgets.widget1.chartType">
            </canvas>
        </div>
        <br/>
        <div class="position-relative p-24 blue-600" fxLayout="row" fxLayoutAlign="space-between center">
            <div fxLayout="column" fxLayoutAlign="start start">
                <span class="h2"> Daily Pending Car Wash Count </span>
            </div>
        </div>
        <div class="position-relative h-256 pb-16 blue-600">
            <canvas baseChart [datasets]="widgets.widgetPending.datasets[pwidget1SelectedWeek]"
                [labels]="widgets.widgetPending.labels" [colors]="widgets.widgetPending.colors" [options]="widgets.widgetPending.options"
                (select)="selectedDate($event)" (chartClick)="pchartClick($event,widgets.widgetPending.labels)"
                [chartType]="widgets.widgetPending.chartType">
            </canvas>
        </div>
    </div>

    

</div>